#include "sip_visitor_test.h"

#include <windows.h>


void Graph::addNode(int num) {
	nodes_.push_back(std::unique_ptr<Node>(new Node(num)));
}
void Graph::accept(NodeVisitor *nv) {
	for (auto n = nodes_.cbegin(); n != nodes_.cend(); ++n) {
		nv->OnNode(n->get());
	}
}


BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
	case DLL_PROCESS_ATTACH:
	case DLL_THREAD_ATTACH:
	case DLL_THREAD_DETACH:
	case DLL_PROCESS_DETACH:
		break;
	}
	return TRUE;
}
